import React from 'react'
import Dropzone from 'react-fine-uploader/dropzone'
import FineUploaderTraditional from 'fine-uploader-wrappers'
import {apiUrl, apiDomain} from '../../env.js'

export default function FineUploaderDropzone (props) {

    const uploader = new FineUploaderTraditional({
       options: {
          request: {
             endpoint: `${apiUrl}/learning_objects/` + props.draftID + '/chunk'
         },
         chunking : {
             enabled : true,
             partSize : 10000000,
         },
          deleteFile : {
              enabled : true,
              endpoint: `${apiUrl}/learning_objects/` + props.draftID + '/chunk'
          }
       }
    })
    return (
        <Dropzone style={ { border: '1px dotted', height: 200, width: 200 } }
                  uploader={ uploader }
        >
            <span>Drop Files Here</span>
        </Dropzone>
    )
}
